public class Test {
    public static void main(String[] args) {

        if (args.length != 1) {
            System.err.println("Expecting exactly one argument, received " + args.length);
            System.exit(1);
        }

        if (args[0].equals("identify")) {

            // "identify"
            System.out.println("JavaCompileServer");

        }
        else if (args[0].equals("compiler")) {

            // "compiler"
            Compiler compiler = Compiler.Loader.findCompiler();
            if (compiler == null) {
                System.err.println("Unable to load compiler using signatures from JDK 1.2, 1.3 or 1.4");
                System.exit(2);
            }
            System.out.println(compiler);

        }
        else {
            System.err.println("Unknown operation \"" + args[0] + "\".  Available operations:");
            System.err.println("  identify - print out \"JavaCompileServer\"");
            System.err.println("  compiler - try to load Sun's java compiler class");
            System.exit(1);
        }
    }
}
